routes/web.php
<?php

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/admin', 'HomeController@index')->name('admin');

Route::get('/admin/user', 'HomeController@allUsers')->name('users.index');

Route::resource('/admin/project', 'ProjectController');

app/Project.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Project extends Model
{
    protected $fillable = [
        'name',
        'description',
        'project_manager_id'
    ];

    public function projectManager()
    {
        // many to one
        return $this->belongsTo(User::class);
    }
}

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function projects()
    {
        return $this->hasMany(Project::class, 'project_manager_id');
    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }

    public function allUsers()
    {
        $users = User::all();
        return view('users.index', compact('users'));
    }
}

app/Http/Controllers/ProjectController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateProjectRequest;
use App\Project;
use App\User;
use Illuminate\Http\Request;

class ProjectController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('projects.index', [
            'projects' => Project::paginate(5)
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $users = User::all(); // get all users

        return view('projects.add', compact('users'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(CreateProjectRequest $request)
    {
        $project = Project::create($request->all());
        $request->session()->flash('alert-success', 'Project was successful added!');

        return redirect(route('project.show', $project));
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Project  $project
     * @return \Illuminate\Http\Response
     */
    public function show(Project $project)
    {
        // $projectManager = User::find($project->project_manager_id);
        return view('projects.show', compact('project'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Project  $project
     * @return \Illuminate\Http\Response
     */
    public function edit(Project $project)
    {
        $users = User::all(); // get all users
        return view('projects.edit', compact('project', 'users'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Project  $project
     * @return \Illuminate\Http\Response
     */
    public function update(CreateProjectRequest $request, Project $project)
    {
        $project->update($request->all());
        $request->session()->flash('alert-success', 'Project was successful updated!');
        return redirect(route('project.show', $project));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Project  $project
     * @return \Illuminate\Http\Response
     */
    public function destroy(Project $project)
    {
        $project->delete();
        return redirect(route('project.index'));
    }
}

resources/views/home.blade.php
@extends('layouts.app')

@section('title', 'Home')

@section('nav')
    @include('layouts.inc.nav')
@endsection

@section('content')
<div class="container">
    <h1>Users</h1>
</div>
@endsection

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>PM | @yield('title')</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link href="{{ asset('css/backend.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        @yield('nav')
        @include('layouts.inc.alert')

        <main class="py-4">
            <div class="container">
                @yield('content')
            </div>
        </main>
    </div>
</body>
</html>

resources/views/layouts/inc/alert.blade.php
@if ($errors->any())
    @foreach ($errors->all() as $error)
        <div class="container">
            <div class="alert alert-danger">
                {{ $error }}
            </div>
        </div>
    @endforeach

@endif
<div class="container">
    <div class="flash-message">
        @foreach (['danger', 'warning', 'success', 'info'] as $msg)
            @if(Session::has('alert-' . $msg))
                <p class="alert alert-{{ $msg }}">{{ Session::get('alert-' . $msg) }} <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a></p>
            @endif
        @endforeach
    </div> <!-- end .flash-message -->
</div>

resources/views/layouts/inc/nav.blade.php
<nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
    <div class="container">
        <a class="navbar-brand" href="{{ url('/') }}">
            {{ config('app.name', 'Laravel') }}
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <!-- Left Side Of Navbar -->
            <ul class="navbar-nav mr-auto">
                <li class="nav-item"><a class="nav-link" href="{{ route('users.index') }}">Users</a></li>
                <li class="nav-item"><a class="nav-link" href="{{ route('project.index') }}">Projects</a></li>
            </ul>

            <!-- Right Side Of Navbar -->
            <ul class="navbar-nav ml-auto">
                <!-- Authentication Links -->
                @guest
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                    </li>
                    @if (Route::has('register'))
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                        </li>
                    @endif
                @else
                    <li class="nav-item dropdown">
                        <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                            {{ Auth::user()->name }} <span class="caret"></span>
                        </a>

                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                            <a class="dropdown-item" href="{{ route('logout') }}"
                               onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                {{ __('Logout') }}
                            </a>

                            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                @csrf
                            </form>
                        </div>
                    </li>
                @endguest
            </ul>
        </div>
    </div>
</nav>

resources/views/projects/_form.blade.php
<div class="form-group">
    <label for="name">Name</label>
    <input type="text"
           id="name"
           name="name"
           value="{{ isset($project)? $project->name:old('name') }}"
           class="form-control">
</div>
<div class="form-group">
    <label for="project_manager_id">Name</label>
    <select name="project_manager_id" id="project_manager_id" class="form-control">
        <option value=>Select Project Manager</option>
        @foreach($users as $user)
            @if(isset($project) && ($user->id === $project->project_manager_id))
                <option selected value="{{ $user->id }}">{{ $user->name }}</option>
            @else
                <option value="{{ $user->id }}">{{ $user->name }}</option>
            @endif
        @endforeach
    </select>
</div>
<div class="form-group">
    <label for="description">Description</label>
    <textarea name="description"
              id="description"
              class="form-control"
              cols="30"
              rows="10">{!! isset($project)? $project->description:old('description') !!}</textarea>
</div>

resources/views/projects/add.blade.php
@extends('layouts.app')

@section('title', 'New Project')

@section('nav')
    @include('layouts.inc.nav')
@endsection

@section('content')
    <div class="card" style="padding: 15px">
        <div class="card-body">
            <h1>New Project</h1>
        </div>

        <form action="{{ route('project.store') }}" method="post">
            @csrf
            @include('projects._form')
            <button class="btn btn-success">Save</button>
            <a href="{{ route('project.index') }}" class="btn btn-info">Cancel</a>
        </form>

    </div>
@endsection

resources/views/projects/edit.blade.php
@extends('layouts.app')

@section('title', 'New Project')

@section('nav')
    @include('layouts.inc.nav')
@endsection

@section('content')
    <div class="card" style="padding: 15px">
        <div class="card-body">
            <h1>Edit Project</h1>
        </div>

        <form action="{{ route('project.update', $project) }}" method="post">
            @csrf
            @method('PUT')
            @include('projects._form')

            <button class="btn btn-success">Save</button>
            <a href="{{ route('project.index') }}" class="btn btn-info">Cancel</a>

        </form>

    </div>
@endsection

resources/views/projects/index.blade.php
@extends('layouts.app')

@section('title', 'All Projects')

@section('nav')
    @include('layouts.inc.nav')
@stop

@section('content')
    <div class="card" style="padding: 15px">
        <div class="card-body">
            <h1>Projects</h1>
            <a href="{{ route('project.create') }}" class="btn btn-success">Create</a>
        </div>

        <table class="table table-bordered">
            <thead>
            <tr>
                <th>#</th>
                <th>Name</th>
                <th>Project Manager</th>
                <th>Created At</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            @foreach($projects as $project)
                <tr>
                    <td>{{ $project->id }}</td>
                    <td>{{ $project->name }}</td>
                    <td>{{ $project->projectManager->name }}</td>
                    <td>{{ $project->created_at }}</td>
                    <td>
                        <a href="{{ route('project.show', $project) }}" class="btn btn-warning">Show</a>
                        <a href="{{ route('project.edit', $project) }}" class="btn btn-info">Edit</a>
                        <form style="display: inline-block" action="{{ route('project.destroy', $project) }}" method="post">
                            @csrf
                            @method('DELETE')
                            <button class="btn btn-danger">Delete</button>
                        </form>
                    </td>
                </tr>
            @endforeach
            </tbody>

        </table>
        {!! $projects->links() !!}
    </div>
@endsection

resources/views/projects/show.blade.php
@extends('layouts.app')

@section('title', 'Show Project')

@section('nav')
    @include('layouts.inc.nav')
@endsection

@section('content')
    <div class="card" style="padding: 15px">
        <div class="card-body">
            <h1>Project: {{ $project->name }} </h1>
            <h2>Project Manager: {{ $project->projectManager->name }} </h2>
            <p>
                {!! $project->description !!}
            </p>
            <a href="{{ route('project.edit', $project) }}" class="btn btn-info">Edit</a>

        </div>
    </div>
@endsection

resources/views/users/index.blade.php
@extends('layouts.app')

@section('title', 'All Users')

@section('nav')
    @include('layouts.inc.nav')
@stop

@section('content')
    <div class="card">
        <div class="card card-body">
            <h1>All Users</h1>

            <ul>
                @foreach($users as $user)
                    <li>{{ $user->name }} | {{ $user->email }}</li>
                @endforeach
            </ul>
        </div>
    </div>
@stop